Popcorn.js
=============
Mozilla's HTML5 Video Framework: [http://popcornjs.org](http://popcornjs.org)


Overview
-------------
Popcorn.js is Mozilla's HTML5 video and media library for the open web.  It allows web developers, filmmakers, artists, designers and others to easily create timeline based web productions. Popcorn.js helps simplify media API and implementation differences between browsers and includes a powerful event system and a rich plugin architecture and plugins.

Popcorn.js can be used with almost any media type you can imagine, from HTML5 audio and video, to YouTube and Vimeo, to SoundCloud, etc.  Popcorn.js also has plugins to allow content from popular web sites and services to be integrated easily, for example, Wikipedia, Facebook, Google Maps, etc.

Anything you can do on the web can be turned into a Popcorn.js plugin, and become part of a timeline-based web experience.  Popcorn.js breaks video out of the box and allows media to fully interact with the rest of the web.

Try a live code example [here](http://jsfiddle.net/rwaldron/xhXE6/).

Community
-------------
The Popcorn.js community is a mix of developers, filmmakers, artists, and everything in between.  If you are interested in using Popcorn.js or helping us build it, you can use one or more of the following:

* [Mailing List for Users](https://mail.mozilla.org/listinfo/community-popcorn)
* [IRC Channel for Developers and Technical Users](irc://irc.mozilla.org/popcorn)
* [Twitter @popcornjs](https://twitter.com/#!/popcornjs)
* [Documentation](http://popcornjs.org/documentation)
* [Example Web Productions built with Popcorn.js](http://popcornjs.org/demos)
* [File a Bug](https://webmademovies.lighthouseapp.com/projects/63272-popcornjs/tickets/new)


For Developers
-------------
You can follow the project's bugs and activity [here](https://webmademovies.lighthouseapp.com/projects/63272-popcornjs/overview).

Project workflow and developer guidelines are available [here](https://webmademovies.lighthouseapp.com/projects/63272/workflow).


For Plugin Authors
-------------
Popcorn.js offers a powerful plugin architecture. Plugins are a way for developers to wrap web functionality and allow it to be placed on a timeline, responding to a point in a video or other media resource.

Take a look at our growing [gallery of officially supported plugins](http://popcornjs.org/popcorn-docs/plugins/).

Have you built a cool plugin, or have an idea for one? Let us know!


License
-------------
Popcorn.js is made available under the [MIT License](http://www.opensource.org/licenses/mit-license.php).


Acknowledgements
-------------
Popcorn.js is built and maintained by a growing community, with the support of:

* [Mozilla](https://www.mozilla.org/)
* [Mozilla Popcorn](http://mozillapopcorn.org/)
* [Seneca College's Centre for Development of Open Technology](http://zenit.senecac.on.ca/wiki/index.php/Main_Page)
* [Bocoup](http://bocoup.com/)


Changelog
-------------
A changelog can be found [here](https://webmademovies.lighthouseapp.com/projects/63272/changelog).
